#include "test.h"

#define PIN_LED				22
#define PIN_INTERRUPTEUR	7

int main(void) {
	// Configuration du PIN de la LED
    LPC_PINCON->PINSEL1    &= ~(3 << 12); // Configure en GPIO voir p 108
    LPC_GPIO0->FIODIR = (1 << PIN_LED); // Met le PIN en sortie voir p 123
    LPC_GPIO0->FIOCLR |=  ( 1 << PIN_LED ); // Met le PIN à l'état bas
    // Configuration du PIN de l'interrupteur
    LPC_PINCON->PINSEL0 &= ~(3 << 14); // Configure en GPIO voir p 108
    LPC_GPIO0->FIODIR &= ~(1 << PIN_INTERRUPTEUR); // Met le PIN en entrée voir p 123
	
	unsigned long entreePIN;
	
	while(1) {
		entreePIN = LPC_GPIO0->FIOPIN;
		
		if (entreePIN & (1 << PIN_INTERRUPTEUR)) {
			LPC_GPIO0->FIOSET |=  ( 1 << PIN_LED );
		} else {
			LPC_GPIO0->FIOCLR |=  ( 1 << PIN_LED );
		}
	}
}
